## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## -----------------------------------------------------------------------------
library(rchime)

fasta_data <- readRDS(rchime_example("miseq_fasta.rds"))
abundance_data <- readRDS(rchime_example("miseq_abundance.rds"))

data <- strollur::new_dataset("rchime de novo example")

strollur::add(data, table = fasta_data, type = "sequence")
strollur::assign(data, table = abundance_data, type = "sequence_abundance")

rchime(data, dereplicate = TRUE)

chimera_report <- strollur::report(data, type = "chimera_report")

chimera_report[60:70, ]

